Package com.emc.d2fs.models.zipanddownloadstatusobject

# Class ZipAndDownloadWarning

java.lang.Object
com.emc.d2fs.models.zipanddownloadstatusobject.ZipAndDownloadWarning

All Implemented Interfaces:
  `Serializable`

public class ZipAndDownloadWarning extends Object implements Serializable

Java class for ZipAndDownloadWarning complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ZipAndDownloadWarning">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="zipAndDownloadError" type="{http://www.emc.com/d2fs/models/zipAndDownloadStatusObject}zipAndDownloadError"/>
           </sequence>
           <attribute name="objectID" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="objectName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="aContentType" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ZipAndDownloadWarning()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAContentType()`
  Gets the value of the aContentType property.
  `String`
  `getObjectID()`
  Gets the value of the objectID property.
  `String`
  `getObjectName()`
  Gets the value of the objectName property.
  `ZipAndDownloadError`
  `getZipAndDownloadError()`
  Gets the value of the zipAndDownloadError property.
  `void`
  `setAContentType(String value)`
  Sets the value of the aContentType property.
  `void`
  `setObjectID(String value)`
  Sets the value of the objectID property.
  `void`
  `setObjectName(String value)`
  Sets the value of the objectName property.
  `void`
  `setZipAndDownloadError(ZipAndDownloadError value)`
  Sets the value of the zipAndDownloadError property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ZipAndDownloadWarning

    public ZipAndDownloadWarning()

- ## Method Details

  - ### getZipAndDownloadError

    public ZipAndDownloadError getZipAndDownloadError()
    Gets the value of the zipAndDownloadError property.
    Returns:
      possible object is `ZipAndDownloadError`

  - ### setZipAndDownloadError

    public void setZipAndDownloadError(ZipAndDownloadError value)
    Sets the value of the zipAndDownloadError property.
    Parameters:
      `value` - allowed object is `ZipAndDownloadError`

  - ### getObjectID

    public String getObjectID()
    Gets the value of the objectID property.
    Returns:
      possible object is `String`

  - ### setObjectID

    public void setObjectID(String value)
    Sets the value of the objectID property.
    Parameters:
      `value` - allowed object is `String`

  - ### getObjectName

    public String getObjectName()
    Gets the value of the objectName property.
    Returns:
      possible object is `String`

  - ### setObjectName

    public void setObjectName(String value)
    Sets the value of the objectName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getAContentType

    public String getAContentType()
    Gets the value of the aContentType property.
    Returns:
      possible object is `String`

  - ### setAContentType

    public void setAContentType(String value)
    Sets the value of the aContentType property.
    Parameters:
      `value` - allowed object is `String`